DescribeEipInternetChargeTypes

1. API Description

This API (DescribeEipInternetChargeTypes) is used to query the information of network billing methods for a specified IP network type in a region.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

regionId

Yes

String

Region ID

eipV4Type [Deprecated]

No

Network types of public IPv4.

Deprecated. Please use networkLineType instead.

networkLineType

No

Network types of public IPv4.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

internetChargeTypes

Information on network types.

4. Code Example

Query the information of network billing methods for a specified IP network type in a region.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeEipInternetChargeTypes


Request:
{
  "regionId": "asia-east-1",
  "eipV4Type": "BGPLine"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "internetChargeTypes": ["ByBandwidth","ByTrafficPackage"]
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_REGION_NOT_FOUND

Specified availability zone does not exist.

Last updated